{# Bouton précédent #}
{% if app.current_route_parameters()['page'] == 1 %}
    <li class="prev disabled">
        <a href="#" onclick="return false;">
            <i class="fa fa-chevron-left" aria-hidden="true"></i>
            <span class="sr-only">Précédent</span>
        </a>
    </li>
{% else %}
    <li class="prev">
        <a rel="prev" href="{{ url(app.current_route(), {page: app.current_route_parameters()['page'] - 1} + app.current_route_parameters) ~ (app.request.queryString ? '?' ~ app.request.queryString : '') }}" data-mode="section-ajax" title="Précédent">
            <i class="fa fa-chevron-left" aria-hidden="true"></i>
            <span class="sr-only">Précédent</span>
        </a>
    </li>
{% endif %}

{# Bouton page 1 #}
{% if app.current_route_parameters()['page'] > 1 %}
    <li><a href="{{ url(app.current_route(), {page: 1} + app.current_route_parameters) ~ (app.request.queryString ? '?' ~ app.request.queryString : '') }}" data-mode="section-ajax" title="Page: 1">1</a></li>
{% endif %}

{# bouton ... #}
{% if app.current_route_parameters()['page'] - 3 > 1 %}
    <li class="ellipsis"><button type="button" class="btn-link">…</button></li>
{% endif %}

{# liens avant le active #}
{% for i in app.current_route_parameters()['page'] - 2..app.current_route_parameters()['page'] - 1 %}
    {% if i > 1 %}
        <li><a href="{{ url(app.current_route(), {page: i} + app.current_route_parameters) ~ (app.request.queryString ? '?' ~ app.request.queryString : '') }}" data-mode="section-ajax" title="Page: {{ i }}">{{ i }}</a></li>
    {% endif %}
{% endfor %}

{# lien active #}
<li class="active">
    <a href="#" title="Page: {{ app.current_route_parameters()['page'] }}">{{ app.current_route_parameters()['page'] }}</a>
</li>

{# liens après le active #}
{% for i in app.current_route_parameters()['page'] + 1..app.current_route_parameters()['page'] + 2 %}
    {% if i <= table.pageCount() %}
        <li><a href="{{ url(app.current_route(), {page: i} + app.current_route_parameters) ~ (app.request.queryString ? '?' ~ app.request.queryString : '') }}" data-mode="section-ajax" title="Page: {{ i }}">{{ i }}</a></li>
    {% endif %}
{% endfor %}

{# bouton ... #}
{% if app.current_route_parameters()['page'] + 3 < table.pageCount() %}
    <li class="ellipsis"><button type="button" class="btn-link">…</button></li>
{% endif %}

{# lien dernière page #}
{% if app.current_route_parameters()['page'] + 2 < table.pageCount() %}
    <li><a href="{{ url(app.current_route(), {page: table.pageCount()} + app.current_route_parameters) ~ (app.request.queryString ? '?' ~ app.request.queryString : '') }}" data-mode="section-ajax" title="Page: {{ table.pageCount() }}">{{ table.pageCount() }}</a></li>
{% endif %}

{# Bouton suivant #}
{% if app.current_route_parameters()['page'] >= table.pageCount() %}
    <li class="next disabled">
        <a href="#" onclick="return false;">
            <i class="fa fa-chevron-right" aria-hidden="true"></i>
            <span class="sr-only">Suivant</span>
        </a>
    </li>
{% else %}
    <li class="next">
        <a rel="next" href="{{ url(app.current_route(), {page: app.current_route_parameters()['page'] + 1} + app.current_route_parameters) ~ (app.request.queryString ? '?' ~ app.request.queryString : '') }}" data-mode="section-ajax" title="Suivant">
            <i class="fa fa-chevron-right" aria-hidden="true"></i>
            <span class="sr-only">Suivant</span>
        </a>
    </li>
{% endif %}
